=== doc/Makefile ===
#############################################################################
# Qt Makefile - doc
#############################################################################
# $Id:  qt/Makefile   3.0.4   edited Oct 12 2001 $

showfiles showsources:
	@echo *.doc

clean:
	-rm -f *~ *% #*

obj include depend:
