=== extensions/nsplugin/examples/Makefile ===

all:
	for i in grapher qtimage trivial ; \
	do $(MAKE) -C $$i all; done

install:
	for i in grapher qtimage trivial ; \
	do $(MAKE) -C $$i install; done

clean:
	for i in grapher qtimage trivial ; \
	do $(MAKE) -C $$i clean; done
