=== debian/changelog ===
qt-copy (2:3.0.3-20020329-1) unstable; urgency=low

  * Updated qt-copy to fix a few other bugs

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 29 Mar 2002 09:08:00 -0700

qt-copy (2:3.0.3-20020314-5) unstable; urgency=low

  * Fix potential crash...thanks Daniel

 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 23 Mar 2002 02:30:00 -0700

qt-copy (2:3.0.3-20020314-4) unstable; urgency=low

  * Don't build motif style as a plugin.  It's pretty much the default so
    let's have that builtin.
  * Fix plugin pathing...actually this was a bug in the configure script
    where it wasn't setting the proper items in the qconfig.h file
    (Closes: #139449)

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 22 Mar 2002 10:36:00 -0700

qt-copy (2:3.0.3-20020314-3) unstable; urgency=low

  * Since this is still in incoming..change from a build-conflict to a 
    versioned depend

 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 16 Mar 2002 11:00:00 -0700

qt-copy (2:3.0.3-20020314-2) unstable; urgency=low
 
  * Build-Conflict with libpng2-dev since it provides libpng-dev and we don't
    want any of those problems.

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 15 Mar 2002 20:00:00 -0700

qt-copy (2:3.0.3-20020314-1) unstable; urgency=low

  * New upstream version.  
  * Includes updated zlib code

 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 14 Mar 2002 12:31:00 -0700

qt-copy (2:3.0.2-20020306-1) unstable; urgency=low

  * New upstream version.  Using qt-copy as it provides a bunch of fixes
    for 3.0.2. (Closes: #135865)
  * Fix suggests for libqt3-psql
  * link to new png.  Need this otherwise we are stuck with using the old
    png library for quite some time.
  * Fix cleanup (Closes: #135859)
  * Include -mt versions of plugins.

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 06 Mar 2002 23:37:00 -0700

qt-copy (2:3.0.0.0-4) unstable; urgency=low

  * Fix qmake.cache inclusion (Closes: #118623)

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 07 Nov 2001 11:37:00 -0700

qt-x11-free (2:3.0.0.0-3) unstable; urgency=low

  * wrap uic so QTDIR is set for it...makes plugins happier

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 31 Oct 2001 09:19:00 -0700

qt-x11-free (2:3.0.0.0-2) unstable; urgency=low

  * Enable gl support.  If it get's whacky like qt2 did we'll break it
    off into it's own package.  But until then we'll just do it this way.
  * Fix wrapper (Closes: #116734)

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 22 Oct 2001 12:55:00 -0700

qt-x11-free (2:3.0.0.0-1) unstable; urgency=low

  * New upstream version

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 15 Oct 2001 11:54:00 -0700

qt-x11-free (2:3.0.0-0beta6-4) unstable; urgency=low

  * Don't compile in xinerama support...lets actually build on all archs

 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 09 Oct 2001 16:00:00 -0700

qt-x11-free (2:3.0.0-0beta6-3) unstable; urgency=low

  * Properly include private include files
  * Provide links from /usr/bin/ qt bins to /usr/share/qt/bin

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 08 Oct 2001 16:00:00 -0700

qt-x11-free (2:3.0.0-0beta6-2) unstable; urgency=low

  * Properly include include files (Closes: #114357)
  * Pass variables onto designer (Closes: #114271)
  * Add new variable to qmake.sh (Closes: #113341)

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 03 Oct 2001 16:11:00 -0700

qt-x11-free (2:3.0.0-0beta6-1) unstable; urgency=low

  * New upstream beta

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 01 Oct 2001 11:04:00 -0700

qt-x11-free (2:3.0.0-0beta5-2) unstable; urgency=low

  * Fix shlibs (Closes: #113055)

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 23 Sep 2001 18:41:00 -0700

qt-x11-free (2:3.0.0-0beta5-1) unstable; urgency=low

  * New upstream beta

 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 18 Sep 2001 09:56:00 -0700

qt-x11-free (2:3.0.0-0beta4-2) unstable; urgency=low

  * Provide threaded QT library
  * Cleanup deps
  * Set shlibs files
  * Remove -O2 from alpha build and add -mieee
  * don't use gcc3 for alpha build anymore

 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 08 Sep 2001 09:57:00 -0700

qt-x11-free (2:3.0.0-0beta4-1) unstable; urgency=low

  * New upstream beta
  * Lintian error cleanup

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 29 Aug 2001 20:52:00 -0700

qt-x11-free (2:3.0.0-0beta3-2) unstable; urgency=low
 
  * Fix path issues for documentation (Closes: #109255)
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 19 Aug 2001 00:01:00 -0700

qt-x11-free (2:3.0.0-0beta3-1) unstable; urgency=low
 
  * new upstream beta
  * Include mkspecs bits for qmake
  * include qmake wrapper
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 27 Jul 2001 03:36:00 -0700

qt-x11-free (2:3.0.0-0beta2-3) unstable; urgency=low
 
  * drop Optimization down for other archs
  * *should* fix m68k build (Closes: #104043)
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 17 Jul 2001 15:47:00 -0700

qt-x11-free (2:3.0.0-0beta2-2) unstable; urgency=low
 
  * actually include libqxt.so so people can build packages against it
  * Remove the suggests for anti-aliasing-howto from the plugin packages
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 08 Jul 2001 03:50:00 -0700

qt-x11-free (2:3.0.0-0beta2-1) unstable; urgency=low
 
  * New upstream beta
  * Ok, now we break out libqxt0
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 05 Jul 2001 12:46:00 -0700

qt-x11-free (3.0.0-0beta1-6) unstable; urgency=low
 
  * Add missing build-depend for flex (Closes: #102978, #102984)
  * Add conflict with libqxt0 (Closes: #102959)
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 01 Jul 2001 08:32:00 -0700

qt-x11-free (3.0.0-0beta1-5) unstable; urgency=low
 
  * ok..I'll get this stuff worked out soon.  Fix gl build bits
    (Closes: #102849)
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 30 Jun 2001 00:27:00 -0700

qt-x11-free (3.0.0-0beta1-4) unstable; urgency=low
 
  * Include qmake in libqt3-dev package

