=== debian/control ===
Source: qt-copy
Build-Depends: debhelper (>> 3.0.0), xlibs-dev (>= 4.1.0-0), libjpeg62-dev | libjpeg-dev, zlib1g-dev | libz-dev, libmng-dev (>= 1.0.1-0), byacc, libpng-dev (>= 1.2.1-1), libfreetype6-dev, unixodbc-dev, libmysqlclient10-dev | libmysqlclient-dev, flex, xlibmesa-dev | libgl-dev
Section: libs
Priority: optional
Maintainer: Ivan E. Moore II <rkrusty@debian.org>
Standards-Version: 3.5.6

Package: libqt3
Architecture: any
Section: libs
Replaces: libqt3-gl, qt3-tools (<< 2:3.0.2-20020306-1)
Depends: ${shlibs:Depends}
Conflicts: libqt3-gl
Suggests: libqt3-psql, libqt3-mysql, libqt3-odbc, anti-aliasing-howto
Description: Qt GUI Library (runtime version).
 This package contains the files necessary for running applications that use
 Qt.

Package: libqt3-mt
Architecture: any
Section: libs
Replaces: qt3-tools (<< 2:3.0.2-20020306-1)
Depends: ${shlibs:Depends}
Suggests: libqt3-mt-psql, libqt3-mt-mysql, libqt3-mt-odbc
Description: Qt GUI Library (Threaded runtime version).
 This package contains the files necessary for running applications that use
 Qt.
 .
 This is the threaded version.

Package: libqxt0
Architecture: any
Section: libs
Replaces: libqt2 (<< 2:2.3.0-final-2), libqt3 (<< 2:3.0.0-0beta2-1), libqt-dev (<< 2:2.3.1-5)
Depends: ${shlibs:Depends}
Description: Qt Xt/Motif Support Extension
 This package contains libqxt.so which provides support for Xt/Motif.

Package: libqt3-mysql
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: Mysql database plugin for Qt3
 This package contains the mysql plugin for Qt3.

Package: libqt3-mt-mysql
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: Mysql database plugin for Qt3 (Threaded)
 This package contains the mysql plugin for Qt3.
 .
 This is the threaded version.

Package: libqt3-odbc
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: ODBC plugin for Qt3
 This package contains the odbc plugin for Qt3.

Package: libqt3-mt-odbc
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: ODBC plugin for Qt3 (Threaded)
 This package contains the odbc plugin for Qt3.
 .
 This is the threaded version

Package: libqt3-mt-dev
Architecture: any
Section: devel
Replaces: libqt2-mt-dev
Depends: libqt3-dev (= ${Source-Version}), libqt3-mt (= ${Source-Version})
Conflicts: libqt2-mt-dev
Suggests: libqt3-mt-mysql, libqt3-mt-psql, libqt3-mt-odbc
Description: Qt Threaded development files
 Qt is a complete framework for development of GUI, based on a set of
 C++ classes.  This package contains the development files necessary for
 building threaded Qt applications.

Package: libqt3-dev
Architecture: any
Section: devel
Replaces: libqt2-dev, libqt-dev, qt3-doc (<< 2:3.0.2-20020306-1)
Depends: ${shlibs:Depends}, ${perl:Depends}, libqxt0 (= ${Source-Version}), qt3-tools (= ${Source-Version}), xlibs-dev, libmng-dev, libpng-dev (>= 1.2.1-1), libjpeg62-dev | libjpeg-dev, zlib1g-dev | libz-dev, libfreetype6-dev, libc6-dev
Suggests: libqt3-mysql, libqt3-psql, libqt3-odbc, qt3-doc, tmake
Conflicts: libqt2-dev, libqt-dev
Description: Qt GUI development files
 Qt is a complete framework for development of GUI, based on a set of
 C++ classes.  The header files, and *moc*, Qt's own Meta Object Compiler, 
 are included.

Package: qt3-tools
Architecture: any
Section: devel
Priority: extra
Replaces: kde-designer, qt-designer, uic, qt3-doc (<< 2:3.0.2-20020306-1)
Depends: ${shlibs:Depends}
Recommends: qt3-doc, libqt3-dev, libqt3-mt-dev
Conflicts: kde-designer, qt-designer, uic
Provides: uic, kde-designer, qt-designer
Suggests: libqt3-mysql, libqt3-psql, libqt3-odbc, libqt3-mt-mysql, libqt3-mt-psql, libqt3-mt-odbc
Description: Qt GUI Designer and other Qt3 based tools
 This package contains Qt Designer, Qt Linguist, and other tools out of
 the Qt3 toolset.  They are being provided in this package as to better 
 allow testing of this beta release of Qt3.  Once Qt3 is released this
 package will go away.

Package: qt3-doc
Architecture: all
Section: doc
Replaces: qt-doc
Suggests: libqt3-dev, www-browser, qt3-tools
Conflicts: qt-doc
Description: Tutorial and reference documentation and examples for Qt.
 This package contains examples, a tutorial, reference documentation and
 all of the man pages for Qt.
 .
 Qt is a complete framework for development of GUI, based on a set of
 C++ classes.  This package contains a rich set of examples as well as a
 complete tutorial and reference documentation for it.
