=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3
export QTDIR=$(shell pwd)
export AR=ar cr
old_libpath := $(LD_LIBRARY_PATH)
export LD_LIBRARY_PATH = $(QTDIR)/lib:$(old_libpath)
YACC="byacc -d"
ARCH = $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_BUILD_GNU_TYPE      ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE),i386-linux)
  XINERAMA=-xinerama
else
  XINERAMA=-no-xinerama
endif


package = qt-x11
p = $(shell pwd)/debian
p_libs = $(p)/libqt3
p_doc = $(p)/qt3-doc
p_dev = $(p)/libqt3-dev
p_tools = $(p)/qt3-tools
tmp_shared = $(shell pwd)/debian/build-shared
tmp_install = $(shell pwd)/debian/tmp-install
configopts = -prefix /usr -docdir /usr/share/doc/qt3-doc -headerdir /usr/include/qt -datadir /usr/share/qt -qt-gif -system-zlib -system-libpng -system-libjpeg -system-libmng -qt-imgfmt-jpeg -qt-imgfmt-png -qt-imgfmt-mng -plugin-sql-mysql -plugin-sql-odbc -plugin-style-windows -qt-style-motif -plugin-style-compact -plugin-style-platinum -plugin-style-sgi -plugin-style-cde -plugin-style-motifplus -stl $(XINERAMA) -enable-opengl -sm -no-g++-exceptions -platform linux-g++

build: thread-stamp build-stamp

thread-stamp:
	dh_testdir
ifeq ($(ARCH),alpha)
	cp debian/qmake-alpha.conf mkspecs/linux-g++/qmake.conf
endif
	make -f Makefile.cvs
	echo yes | ./configure $(configopts) -thread -plugindir /usr/lib/qt3/plugins-mt
	make symlinks src-qmake src-moc sub-src sub-tools sub-plugins
	make -C extensions/xt/src/
	make -C tools/designer/tools/createcw
	make INSTALL_ROOT=$(tmp_shared) install
	make -C extensions/xt/src/ INSTALL_ROOT=$(tmp_shared) install
	install -d $(tmp_shared)/usr/share/doc/
	cp bin/qtrename140 $(tmp_shared)/usr/bin/
	cp bin/qt20fix $(tmp_shared)/usr/bin/
	cp bin/findtr $(tmp_shared)/usr/bin/
	cp .qmake.cache $(tmp_shared)/usr/share/doc/qt3-doc/
	touch thread-stamp

build-stamp:
	dh_testdir
	-make clean
	-rm lib/*
	echo yes | ./configure $(configopts) -plugindir /usr/lib/qt3/plugins
	make symlinks src-qmake src-moc sub-src sub-plugins
	make -C plugins/src INSTALL_ROOT=$(tmp_shared) install
	find lib | cpio -pmdv $(tmp_shared)/usr
	touch build-stamp


build-clean:
	dh_testdir
	-make clean
	-make -C qmake/ distclean
	-make -C extensions/xt/src/ clean
	-make -C tools/designer/tools/createcw/ clean
	-chmod -R u+w *
	-find tools tutorial extensions -name Makefile | while read p; do \
		make -C `dirname $$p` clean; \
	done
	-find tools examples tutorial -type f -perm +100 \
		| xargs --no-run-if-empty rm -f
	-rm -f `find ./ -name "*.moc"`
	-rm -f lib/* plugins/designer/* plugins/sqldrivers/* \
		plugins/styles/*
	-rm -f examples/guithreads/main.o examples/semaphores/main.o
	find -name Makefile | while read p; do \
		[ -f $$p.in ] && rm -f $$p || true; \
	done


clean: build-clean
	dh_testdir
	-make -f debian/Makefile.cvs cvs-clean
	dh_clean

install-stamp:
	dh_testdir
	-rm -rf $(tmp_install)
	cd $(tmp_shared) && find  usr -path \*/CVS -prune -o -print \
		| cpio -pmd $(tmp_install)/

# Build architecture-independent files here.
binary-indep: build install-stamp
	dh_testdir
	dh_testroot
	dh_clean -i
	dh_installdirs -i
	dh_movefiles -pqt3-doc --sourcedir=debian/tmp-install
	find doc/man examples tutorial -path \*/CVS -prune -o -print \
		| cpio -pmd $(p_doc)/usr/share/doc/qt3-doc/
	-make -C $(p_doc)/usr/share/doc/qt3-doc/examples clean
	-make -C $(p_doc)/usr/share/doc/qt3-doc/tutorial clean
	(cd $(p_doc)/usr/share/doc/qt3-doc && tar -czvf examples.tgz examples)
	rm -rf $(p_doc)/usr/share/doc/qt3-doc/examples
	(cd $(p_doc)/usr/share/doc/qt3-doc && tar -czvf tutorial.tgz tutorial)
	rm -rf $(p_doc)/usr/share/doc/qt3-doc/tutorial
	-rm -f `find $(p_doc)/usr/share/doc/qt3-doc/ -name "*.o"`
	find $(p_doc) -type f -perm +0100 | xargs --no-run-if-empty rm -f
	cd $(p_doc)/usr/share/doc/libqt3 \
		&& ln -s ../qt3-doc/doc .
	dh_installdocs -i
	mv $(p_doc)/usr/share/doc/qt3-doc/doc/man/man3 $(p_doc)/usr/share/man/
	-rm -rf $(p_doc)/usr/share/doc/qt3-doc/doc/man
	dh_installchangelogs -i changes-3.0.3
	cp debian/README.Debian $(p_doc)/usr/share/doc/qt3-doc/
	dh_compress -i -X.html -X.gif -X.jpg -X.png
	dh_link -i
	dh_fixperms -i
	find $(p_doc)/usr/share/doc -type f | xargs chmod 644
	dh_installdeb -i
	dh_perl -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i


binary-arch: build install-stamp
	dh_testdir
	dh_testroot
	dh_clean -a
	dh_installdirs -a
	dh_movefiles -plibqxt0 --sourcedir=debian/tmp-install
	dh_movefiles -pqt3-tools --sourcedir=debian/tmp-install
	dh_movefiles -plibqt3-mysql --sourcedir=debian/tmp-install usr/lib/qt3/plugins/sqldrivers/libqsqlmysql.so
	dh_movefiles -plibqt3-odbc --sourcedir=debian/tmp-install usr/lib/qt3/plugins/sqldrivers/libqsqlodbc.so
	dh_movefiles -plibqt3-mt-mysql --sourcedir=debian/tmp-install usr/lib/qt3/plugins-mt/sqldrivers/libqsqlmysql.so
	dh_movefiles -plibqt3-mt-odbc --sourcedir=debian/tmp-install usr/lib/qt3/plugins-mt/sqldrivers/libqsqlodbc.so
	dh_movefiles -plibqt3 --sourcedir=debian/tmp-install
	dh_movefiles -plibqt3-mt --sourcedir=debian/tmp-install
	dh_movefiles -plibqt3-mt-dev --sourcedir=debian/tmp-install
	dh_movefiles -plibqt3-dev --sourcedir=debian/tmp-install
	cp tools/designer/interfaces/*.h $(p_tools)/usr/share/qt/tools/designer/interfaces/
	cp debian/designer.desktop $(p_tools)/usr/share/applnk/Development/
	cp debian/linguist.desktop $(p_tools)/usr/share/applnk/Development/
	mv $(p_tools)/usr/bin/designer $(p_tools)/usr/bin/qt-designer-real
	cp debian/designer.sh $(p_tools)/usr/bin/designer
	mv $(p_dev)/usr/bin/qmake $(p_dev)/usr/bin/qmake-real
	cp debian/qmake.sh $(p_dev)/usr/bin/qmake
	mv $(p_tools)/usr/bin/uic $(p_tools)/usr/bin/uic-real
	cp debian/uic.sh $(p_tools)/usr/bin/uic
	-cp doc/man/man1/*.1 $(p_tools)/usr/share/man/man1/
	-mv $(p_tools)/usr/share/man/man1/m*.1 $(p_dev)/usr/share/man/man1/
	-mv $(p_tools)/usr/share/man/man1/f*.1 $(p_dev)/usr/share/man/man1/
	-mv $(p_tools)/usr/share/man/man1/q*.1 $(p_dev)/usr/share/man/man1/
	dh_installdocs -a
	dh_installmenu -a
	dh_undocumented
	dh_installchangelogs -a changes-3.0.3
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	chmod 755 debian/qt3-tools/usr/bin/designer \
		debian/libqt3-dev/usr/bin/qmake \
		debian/qt3-tools/usr/bin/uic
	dh_makeshlibs -a -V
	dh_installdeb -a
	dh_perl -a
	dh_shlibdeps -a -l`pwd`/debian/libqt3/usr/lib:`pwd`/debian/libqxt0/usr/lib
	dh_gencontrol
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: clean binary-indep binary-arch binary
